<template>
  <div v-for="x in quotes" :key="x.id">
    <div class="quote-box">
      <div class="quote-text">
        {{ x.text }}
      </div>
      <div class="quote-category">
        {{ x.category }}
      </div>
      <div class="button-row">
        <button @click="deleteQuote(x.id)">Kustuta</button>
        <button @click="navigateToEditPage(x.id)">Muuda tsitaati</button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "QuoteListDisplay",
  data() {
    return {
      quotes: [],
    };
  },
  created() {
    this.fetchQuotes();
  },
  methods: {
    async fetchQuotes() {
      const response = await fetch(
        // "https://frogaccelerator.com:8090/api/quote"
        process.env.VUE_APP_API_URL + "/quotes"
      );
      this.quotes = await response.json()
      console.log(this.quotes);
    },
    async deleteQuote(id) {
      if (confirm('Oled sa ikka kindel, et soovid seda tsitaati kustutada?')) {
        console.log(id)
        // const deleteUrl = "https://frogaccelerator.com:8090/api/quote/" + id
        const deleteUrl = "http://localhost:8090/quotes/quote/" + id
        await fetch(deleteUrl, { method: "DELETE" })
        await this.fetchQuotes()
      }
    },
    navigateToEditPage(id) {
      console.log(id)
      this.$router.push('/quote-edit/' + id)
    }
  }
};
</script>

<style scoped>
.quote-box {
  border: 2px solid darkorchid;
  border-radius: 5px;
  margin: 10px;
  padding: 10px;
  display: flex;
  flex-wrap: wrap;
}

.quote-text {
  color: darkblue;
  font-style: italic;
  font-size: 25px;
  flex-basis: 100%;
  display: flex;
  justify-content: flex-start;
}

.quote-category {
  background: orange;
  display: inline-block;
  margin: 10px;
  padding: 10px;
  border-radius: 3px;
  flex-basis: 20px;
  display: flex;
  justify-content: flex-start;
}

.button-row {
  flex-basis: 100%;
  display: flex;
  justify-content: flex-start;
  padding: 10px;
}
</style>